Foxit PDF Conversion SDK

Public Member Functions | Static Public Attributes | List of all members
com.foxit.sdk.common.Constants Class Reference

Global Constants. More...

## Public Member Functions
synchronized void | delete ()
| Clean up related C++ resources immediately. More...

## Static Public Attributes
static final int | e_ErrCertificate = 5
| Certificate error: PDF document is encrypted by digital certificate but current user does not have the correct certificate.
static final int | e_ErrDataNotReady = 17
| Data is not ready. Usually this is used as an exception error code when loading document in asynchronous way.
static final int | e_ErrFile = 1
| File cannot be found or could not be opened.
static final int | e_ErrFormat = 2
| Format is invalid. For files, this may also mean that file is corrupted.
static final int | e_ErrHandle = 4
| Error handle.
static final int | e_ErrInvalidLicense = 7
| Invalid license is used to initialize Foxit PDF Conversion SDK library.
static final int | e_ErrInvalidType = 14
| The type of input object or current object is invalid.
static final int | e_ErrNoDocumentPermission = 80
| No document permission to operate.
static final int | e_ErrNoOffice2PDFModuleRight = 78
| No "Office2PDF" module right.
static final int | e_ErrNoPDF2OfficeModuleRight = 77
| No "PDF2Office" module right.
static final int | e_ErrNotFound = 13
| Expected data or object is not found.
static final int | e_ErrNotLoaded = 20
| Current object has not been loaded yet.
static final int | e_ErrNotMatchFont = 82
| Not match font .
static final int | e_ErrNotParsed = 12
| Content has not been parsed yet. Usually, this represents PDF page has not been parsed yet.
static final int | e_ErrOutOfMemory = 10
| Out-of-memory error occurs.
static final int | e_ErrParam = 8
| Parameter error: value of any input parameter for a function is invalid.
static final int | e_ErrPassword = 3
| Invalid password. Usually, this error may occur when loading a PDF document with password. When meet this, user should load document again with correct password.
static final int | e_ErrSecurityHandler = 11
| PDF document is encrypted by some unsupported security handler.
static final int | e_ErrSuccess = 0
| Success, and no error occurs.
static final int | e_ErrUnknown = 6
| Any unknown error occurs.
static final int | e_ErrUnknownState = 16
| Any unknown state occurs.
static final int | e_ErrUnsupported = 9
| Some types are not supported.

## Detailed Description

Global Constants.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.common.Constants.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.